### Method

# FwupdPlugin Config get_value_bool

#### Declaration [src]

    gboolean
    fu_config_get_value_bool (
      FuConfig* self,
      const gchar* section,
      const gchar* key
    )

#### Description [src]

Return the value of a key, falling back to the default value if missing or empty.

Available since: | 1.9.1

#### Parameters

`section` | `const gchar*`
| A settings section.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`key` | `const gchar*`
| A settings key.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| Boolean.